Switch Update 5.0.0 Released

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by Lia, Mar 13, 2018.

  1. Wishi

    Wishi Rareware Gamer

    Member
    2
    Nov 24, 2015
    Mexico
    Last edited by Wishi, Mar 13, 2018
  2. PotatisKnug

    PotatisKnug GBAtemp Fan

    Member
    2
    Jul 30, 2017
    Sweden
    In a dark cave
    Still no webbrowser. What the fuck Nintendo?
     
  3. Ewpb

    Ewpb Member

    Newcomer
    2
    Jun 19, 2013
    Who datamines the firmware releases? Who or where should I be watching for juicy dataminage?
     
  4. Chris_Highwind

    Chris_Highwind GBAtemp Fan

    Member
    3
    Mar 21, 2010
    United States
    Mooresville, NC
    I was hoping to while away the inevitable years of waiting for 4.1.0's turn for homebrew with some Crash Bandicoot, but, sadly, that won't be the case.
     
  5. Maiken

    Maiken Member

    Newcomer
    3
    Dec 27, 2008
    Netherlands
    The Netherlands
    Is it possible to still update a game without updating to 5.0?
     
  6. Lia
    OP

    Lia GBAtemp Advanced Maniac

    Member
    9
    GBAtemp Patron
    Lia is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Jan 29, 2016
    United Kingdom
    no yes, for a while
     
    Last edited by Lia, Mar 14, 2018
  7. j0hnnyj0hns

    j0hnnyj0hns GBAtemp Regular

    Member
    2
    Jun 3, 2016
    United States
    Hopefully when DK Tropical Freeze comes out it doesn't require 5.0 but it probably will :(
     
  8. Lia
    OP

    Lia GBAtemp Advanced Maniac

    Member
    9
    GBAtemp Patron
    Lia is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Jan 29, 2016
    United Kingdom
    you can pretty much assume any new game will require 5.0.0
     
  9. j0hnnyj0hns

    j0hnnyj0hns GBAtemp Regular

    Member
    2
    Jun 3, 2016
    United States
    I figured since it doesn't come out until May
     
  10. bxaimc

    bxaimc Newbie

    Newcomer
    1
    Jul 19, 2017
    United States
    If anything, 5.0.1 or 5.1.0 might be out by then.
     
  11. Jay Boy

    Jay Boy GBAtemp Fan

    Member
    4
    Oct 30, 2002
    Canada
    Man, I just received my Switch today, and this is a bummer. Now I have to decide whether to play through Zelda in 1.0.0 or just update the system :(
     
  12. bxaimc

    bxaimc Newbie

    Newcomer
    1
    Jul 19, 2017
    United States
    If you have 1.0.0 you might as well wait for cfw and emuNAND since that’s first batch of FWs on the priority list.
     
    TheCyberQuake likes this.
  13. Jay Boy

    Jay Boy GBAtemp Fan

    Member
    4
    Oct 30, 2002
    Canada
    The Switch is on 4.0.1, sorry, I meant Zelda 1.0.0 ergo no updates.
     
  14. blawar

    blawar Newbie

    Newcomer
    1
    Nov 21, 2016
    United States
    Yes, when you try to start the game, you will get two alerts. First is for the system update, just click "start game" on this one. Next one will be to update the game itself, click "download".

    edit: They will force you to update soon, so update your games while you can.

    — Posts automatically merged - Please don't double post! —

    Incorrect
     
    TotalInsanity4 likes this.
  15. Giga_Gaia

    Giga_Gaia Shinigami

    Member
    4
    Sep 12, 2006
    Canada
    Quebec, Canada
    So you have like 2 choices:

    1) Update now for Kirby if you want to play it.

    2) Be patient a little while, stay on 4.10 until the CFW releases, allowing you to play newer games even on older firmwares and even installing updates and DLC.

    The choice is easy then, screw Kirby, we're likely getting a CFW before other new games releases at the end of the year. Well, we might be missing Octopath Traveler, but the more I see of that game, the more something feels wrong with it.

    BTW, anyone who preordered Kirby on the eshop and want to stay on 4.10 likely wasted $60.
     
  16. ShadowOne333

    ShadowOne333 GBAtemp Guru

    Member
    16
    Jan 17, 2013
    Mexico
    Nintendo's too fucking paranoid to release a browser because they fear another webkit exploit like the 3DS and Wii U.
    Joke's on them though as they got owned even without a proper browser.
     
    the_randomizer likes this.
  17. a9lh-1user

    a9lh-1user GBAtemp Fan

    Member
    3
    Apr 1, 2016
    Gambia, The
    Very interesting!
    I'am on 4.1.0 and was willing to update but there was an error: 2137-8035 well known since a longer time!
    Then i thought i take a look if the eShop and it still works.
    LOL DL right now the game: spy chameleon and an update for Inner space.......someone able to explain what is going on at Ninti ?!
     
  18. Soluble

    Soluble GBAtemp Fan

    Member
    3
    Mar 12, 2017
    There's a small grace period where 4.1.0 will work. Fingers crossed for those that pre ordered Kirby it stays til the 16th.
     
    a9lh-1user likes this.
  19. Giga_Gaia

    Giga_Gaia Shinigami

    Member
    4
    Sep 12, 2006
    Canada
    Quebec, Canada
    I wanted to preorder it at some point, but I had a feeling Nintendo would release a new firmware right before it came out. You might as well wait for a CFW on 4.10, you will be able to play any games regardless of how new they are.

    It seems 5.0.0 basically patched every exploits. Since developers usually release CFW when those exploits have been patched, Nintendo basically just accelerated the release of CFW on anything up to 4.10.

    I don't mind waiting months here. I have ton of games to play on PS4 and it helps that most releases between Kirby and the ones at the end of the year are Wii U ports because I played all I was interested on Wii U already.
     
    Last edited by Giga_Gaia, Mar 13, 2018
  20. Soluble

    Soluble GBAtemp Fan

    Member
    3
    Mar 12, 2017
    Retail Kirby won't require 5.0 so that's a plus for those that didn't preorder on the eshop
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice